import React from 'react'
import { NavLink } from 'react-router-dom'
import { translate } from 'cozy-ui/react/I18n'

import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import QuestionMarkIcon from 'assets/icons/ico/question-mark.svg'

interface FAQContainerProps {
  t: Function
}

const FAQContainer: React.FC<FAQContainerProps> = ({
  t,
}: FAQContainerProps) => {
  return (
    <div className="faq-root">
      <div className="faq-content">
        <div className="faq-header text-14-normal-uppercase">
          {t('FAQ.TITLE_FAQ')}
        </div>
        <NavLink className="faq-card-link" to="parameters/FAQ">
          <StyledCard>
            <div className="faq-card">
              <div className="faq-card-content">
                <StyledIcon
                  className="faq-card-content-icon"
                  icon={QuestionMarkIcon}
                  size={50}
                />
                <div className="faq-card-content-title">
                  {t('FAQ.READ_FAQ')}
                </div>
              </div>
            </div>
          </StyledCard>
        </NavLink>
      </div>
    </div>
  )
}

export default translate()(FAQContainer)
